<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">tiglTester&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classtiglTester.html">tiglTester&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classTIGL.html#a64fdb2311577f9179f9180124336e6fd">algorithmRunning</a></td><td class="entry"><a class="el" href="classTIGL.html">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGL.html#a5541f512541b62a53b718520ba942625">combiner</a></td><td class="entry"><a class="el" href="classTIGL.html">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGL.html#a350034bc25d3ef9fc5427c01eb51b280">communicationManager</a></td><td class="entry"><a class="el" href="classTIGL.html">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGL.html#a38c56842f9838f3c58f7fd15fc6c6bf7">computationManager</a></td><td class="entry"><a class="el" href="classTIGL.html">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGL.html#a2a30c008f455e3588ed4a51669ecca8b">computeMSE</a>(vector&lt; CVertex &gt; &amp;refVect)</td><td class="entry"><a class="el" href="classTIGL.html">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGL.html#ae83a1a4574743face7975d5df0a98f2d">computeNormalizedSNR</a>(vector&lt; CVertex &gt; &amp;refVect)</td><td class="entry"><a class="el" href="classTIGL.html">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGL.html#a302196e561a1518561bc2a6a2931a07c">computeSNR</a>(vector&lt; CVertex &gt; &amp;refVect)</td><td class="entry"><a class="el" href="classTIGL.html">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGL.html#a3b1b79f24fc14b6acbdeb1aaff64d36b">computeTask</a>(uint_fast32_t maxSS, ALG_INIT *initParams)</td><td class="entry"><a class="el" href="classTIGL.html">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGL.html#aef38bee1457371fb710a3146bff6fc6f">countSS</a></td><td class="entry"><a class="el" href="classTIGL.html">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGL.html#a59fcdfd2bacee67418e182f347f898f7">dataManager</a></td><td class="entry"><a class="el" href="classTIGL.html">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGL.html#abb3c1874d24580f08b4794d7b3e1fd8b">flagDirected</a></td><td class="entry"><a class="el" href="classTIGL.html">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGL.html#a338e3d1711c0e6fd442313c03deb97e5">getNumEdges</a>()</td><td class="entry"><a class="el" href="classTIGL.html">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGL.html#af7fecb3d90f1e6a080b174b82f44ff37">getNumVertices</a>()</td><td class="entry"><a class="el" href="classTIGL.html">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglTester.html#a97e1f5c6869bdbb5fb5ce3f1210e8155">getVertex</a>(ID_TYPE id, ALG_VERTEX_TYPE *pVertex)</td><td class="entry"><a class="el" href="classtiglTester.html">tiglTester&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGL.html#a9dfa4b01593d43a547c6e0750a4bf19d">initGraph</a>(vector&lt; ALG_VERTEX_TYPE &gt; &amp;vertexList)</td><td class="entry"><a class="el" href="classTIGL.html">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGL.html#a1b572a77f00388592162ff8ffe408891">MaxCollision</a>()</td><td class="entry"><a class="el" href="classTIGL.html">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGL.html#a5c9a66bdfdacb4f33981b7a7c3c5cec8">memoryUsage</a>()</td><td class="entry"><a class="el" href="classTIGL.html">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGL.html#a97db1aace1b818b2642ec093ef1567c0">mutateDistributedGraphFromFile</a>(char *fileName)</td><td class="entry"><a class="el" href="classTIGL.html">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGL.html#aeb111e5790f7118a8602e02ed7a574a9">mutateLocalSubgraphFromFile</a>(char *fileName)</td><td class="entry"><a class="el" href="classTIGL.html">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGL.html#a9b1c21d26fd2410cc80c024924ffd2bf">mutateProcessOneLine</a>(string localLine, uint_fast32_t *numMessages)</td><td class="entry"><a class="el" href="classTIGL.html">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGL.html#acd9412890896557621ab288764a83f44">mutationManager</a></td><td class="entry"><a class="el" href="classTIGL.html">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGL.html#a70e3fc3f8dde6ef1c8bdbad2fba1f0bd">networkReadGraph</a>(uint_fast32_t readDev, char *fileName=NULL)</td><td class="entry"><a class="el" href="classTIGL.html">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGL.html#affa2deafa252a76aabf16e1b52c5992d">numDevices</a></td><td class="entry"><a class="el" href="classTIGL.html">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGL.html#aff8f26ab7c900ed74baa523afc72f369">numLocalVertices</a></td><td class="entry"><a class="el" href="classTIGL.html">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGL.html#a788a7f3ca72fa79b55203763225eb393">numSS</a>()</td><td class="entry"><a class="el" href="classTIGL.html">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGL.html#ac7f5c28d16a3566f413010d3e242167e">numTotalVertices</a></td><td class="entry"><a class="el" href="classTIGL.html">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGL.html#a1928633793d2b130d62b93a6999fb415">rank</a></td><td class="entry"><a class="el" href="classTIGL.html">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGL.html#ab8062bd5f494beded1afd864d055bcb9">readSubgraphFromFile</a>(char *fileName)</td><td class="entry"><a class="el" href="classTIGL.html">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGL.html#a10779a76581ed8a3a88e312eb800e0ba">remoteMutateDistributedGraph</a>(uint_fast32_t readDev)</td><td class="entry"><a class="el" href="classTIGL.html">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGL.html#a6c1e8c5e4654394c45d764b4fcc65a87">reset</a>()</td><td class="entry"><a class="el" href="classTIGL.html">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGL.html#a7ab28bce4a032f285d88b973ab982053">run</a>(uint_fast32_t maxSS=DEFAULT_MAXIMUM_SS, ALG_INIT *initParams=0)</td><td class="entry"><a class="el" href="classTIGL.html">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGL.html#aa8910cce1cf6449d4119f32f79583a75">rxTask</a>()</td><td class="entry"><a class="el" href="classTIGL.html">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtiglTester.html#a2987451c0ad4b76a9e7cf77537235e96">testMpiMutationManagerModule</a>(int_fast32_t readDev, char *fileName)</td><td class="entry"><a class="el" href="classtiglTester.html">tiglTester&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglTester.html#a48a864538dcc994f66aadd2205933d45">testMutationManagerModule</a>(char *fileName)</td><td class="entry"><a class="el" href="classtiglTester.html">tiglTester&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGL.html#a7a881a9ea2c7de238e2bc5cb05549bbb">TIGL</a>(bool isDirected, uint64_t totalVertices, uint_fast32_t idDevice=0, uint_fast32_t totalDevices=1, int allocThreads=NUM_OMP_THREADS)</td><td class="entry"><a class="el" href="classTIGL.html">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtiglTester.html#affa2a4a70e43b58e473b11888a0a757a">tiglTester</a>(bool isDirected, uint64_t numTotalVertices, uint_fast32_t idDevice=0, uint_fast32_t totalDevices=1, int allocThreads=NUM_OMP_THREADS)</td><td class="entry"><a class="el" href="classtiglTester.html">tiglTester&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGL.html#a21583ccd06b1c3eb7115df8e9518353b">txTask</a>()</td><td class="entry"><a class="el" href="classTIGL.html">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGL.html#a6d2aefc6fedb442ccbb2da4d862fd592">~TIGL</a>()</td><td class="entry"><a class="el" href="classTIGL.html">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Mar 3 2015 18:10:45 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
